Apache和PHP的配置

阅读量:29
2021-04-18

工具/原料
/8 64位
php5.5.6 6位
Apache2.4 64位
1、 系统环境与软件
php5.5.6 下载链接:
推荐 V11 x64,也就是64bit的。
apache2.4,下载链接:
同样是推荐 V11,64位的。
前面提到的V11是微软的一个组件,如果不安装的话会提示 msvcr110.dll丢失。
下载链接:
请下载64bit的。
根据引导安装V11,这里很简单啦,最后需要重启一次

2、 php5.5.6配置

把下载下来的php解压,在D盘新建文件夹php,把解压出来的文件全部拷贝到 d:php
在系统环境变量PATH中添加 ;D:php;D:phpext, 重启后生效

3 、Apache2.4配置

把下载下来的Apache压缩包解压,拷贝到d:Apache24
修改D:Apache24conf
把ServerRoot这行修改为 ServerRoot "D:Apache24", 双引号之间的就是你的apache放置的位置
把DocumentRoot按照下面的内容修改:
DocumentRoot "/htdocs"
把Listen Port修改为:Listen 8080
添加下面几行,增加对php5的支持:
# php5 support
LoadModule php5_module /php5apache2_4.dll
AddType /x- .php
# configure the path to php.ini
PHPIniDir "D:/php"
保存, 重启Apache服务。
小技巧:d:apache24bin -k install, 这句可以把apache添加到系统服务里去。
删除服务:sc delete Apache2.4

4 收获胜利的果实
在浏览器中打开 127.0.0.1:8080, 是不是能看到it works,这说明你的apache已经工作了。
php5.5 + apache2.4 安装配置
修改D:Apache24htdocs, 添加,保存。
在浏览器中打开 127.0.0.1:8080,是不是看到了phpinfo的相关内容,恭喜你,你的php已经跟apache协同工作了!

注意事项
不要忘记安装V11
请注意你的php和apache路径,注意修改里的内容
php5.5,只能搭配2.4版本以上的apache,如果你用的是主流的2.2版本或其他,敬请升级到2.4版本

声明:本文原创发布星网无限,转载请注明出处,感谢您的尊重!如有疑问,请联系admin@处理

THE END

发表评论

相关推荐

  • php getdate函数怎么用

    php getdate函数用于返回当前本地的“日期/时间”的“日期/时间”信息,其语法为“getdate(timestamp)”,该函数会返回带有与时间 ...

    阅读量:100
    2021-04-19
  • column的10篇内容推荐

    column-fill属性会将不同高度的指定列以高度差最小化的方式进行对齐,这里我们就来看一下CSS3的column-fill属性对齐列内容高 ...

    阅读量:100
    2021-04-19
  • PHPMailer 中文使用说明小结_PHP教程

    A开头: $AltBody --属性 出自:PHPMailer : $AltBody 文件:class.phpmailer .php 说明:该属性的设置是在邮件正文不支持HT ...

    阅读量:134
    2021-04-19
  • php date与gmdate的获取日期的区别_PHP教程

    date -- 格式化一个本地时间/日期   gmdate -- 格式化一个 /UTC 日期/时间,返回的是格林威治标准时(GMT)。   举个 ...

    阅读量:115
    2021-04-19
  • php 正确解码javascript中通过escape编码后的字符_PHP教程

    这是很久以前收集的一个,不知道谁写的了,但经过测试没有问题~ JavaScript代码

    阅读量:114
    2021-04-19